Page MenuHomePhabricator

Modernize Python script
ClosedPublic

Authored by serge-sans-paille on Dec 21 2018, 2:07 AM.

Details

Summary

Mostly use type destructuring adequately.
This is preparatory work for python 2/3 compatibility implemented in https://reviews.llvm.org/D55829

Diff Detail

Repository
rL LLVM

Event Timeline

michaelplatings requested changes to this revision.Jan 2 2019, 9:25 AM
michaelplatings added inline comments.
CompareDebugInfo.py
50 ↗(On Diff #179253)

This changes the behaviour slightly in that "=" will only be surrounded by one space on each side rather than two.
While such a change might be desirable, I think it's inappropriate for this patch.

This revision now requires changes to proceed.Jan 2 2019, 9:25 AM
serge-sans-paille marked an inline comment as done.
This revision is now accepted and ready to land.Jan 3 2019, 4:42 AM
Closed by commit rL350381: Modernize Python scripts (authored by serge_sans_paille, committed by ). · Explain WhyJan 4 2019, 12:18 AM
This revision was automatically updated to reflect the committed changes.